<?php
include '../../../conn.php';


$id=$_POST['id'];
$name=$_POST['name'];
$phone=$_POST['phone'];
$email=$_POST['email'];

$type=$_POST['type'];
$degree=$_POST['degree'];
$experience=$_POST['experience'];
$homevisit=$_POST['homevisit'];

$clinicvisit=$_POST['clinicvisit'];
$nightvisit=$_POST['nightvisit'];
$workingtime=$_POST['workingtime'];
$sundaytime=$_POST['sundaytime'];

 $path=null;

        
if($_FILES['image']['name'] != null){

$valid_extensions = array('jpeg', 'jpg', 'png', 'gif', 'bmp' , 'pdf' , 'doc' , 'ppt'); // valid extensions
$path = 'images/user/'; // upload directory

$img = $_FILES['image']['name'];
$tmp = $_FILES['image']['tmp_name'];
// get uploaded file's extension
$ext = strtolower(pathinfo($img, PATHINFO_EXTENSION));
// can upload same image using rand function
$final_image = rand(1000,1000000).$img;
// check's valid format
		if(in_array($ext, $valid_extensions)) 
		{ 
		$path = $path.strtolower($final_image); 
		move_uploaded_file($tmp,'../../../'.$path);
		}
$path=$baseimage.$path;
}
else{
    $sql ="select * from `doctors` where id='$id' ";
            $result = mysqli_query($con,$sql);
           
            while($row = mysqli_fetch_array($result)){
             $path=$row['image'];
			}
}

 $insert = $con->query("UPDATE `doctors` SET `name`='$name',`image`='$path',`phone`='$phone',`type`='$type',`qualification`='$degree',`experience`='$experience',`homeVisit`='$homevisit',
 `clinicVisit`='$clinicvisit',`nightCharge`='$nightvisit',`workingTime`='$workingtime',`sundaytiming`='$sundaytime' WHERE  id='$id'");

if($insert > 0){

  echo '101';
}
else{
  echo '104';
}

?>

